NodePublishVolumeRequestPBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords.impl.pb, class: NodePublishVolumeRequestPBImpl

Package org.apache.hadoop.yarn.api.protocolrecords.impl.pb

# Class NodePublishVolumeRequestPBImpl

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.NodePublishVolumeRequest
org.apache.hadoop.yarn.api.protocolrecords.impl.pb.NodePublishVolumeRequestPBImpl

public class NodePublishVolumeRequestPBImpl extends org.apache.hadoop.yarn.api.protocolrecords.NodePublishVolumeRequest
Request to publish volume on node manager.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NodePublishVolumeRequestPBImpl()`
  `NodePublishVolumeRequestPBImpl(org.apache.hadoop.yarn.proto.CsiAdaptorProtos.NodePublishVolumeRequest request)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `org.apache.hadoop.yarn.proto.CsiAdaptorProtos.NodePublishVolumeRequest`
  `getProto()`
  `Map<String,String>`
  `getPublishContext()`
  `boolean`
  `getReadOnly()`
  `Map<String,String>`
  `getSecrets()`
  `String`
  `getStagingPath()`
  `String`
  `getTargetPath()`
  `org.apache.hadoop.yarn.api.protocolrecords.ValidateVolumeCapabilitiesRequest.VolumeCapability`
  `getVolumeCapability()`
  `String`
  `getVolumeId()`
  `int`
  `hashCode()`
  `void`
  `setPublishContext(Map<String,String> publishContext)`
  `void`
  `setReadonly(boolean readonly)`
  `void`
  `setSecrets(Map<String,String> secrets)`
  `void`
  `setStagingPath(String stagingPath)`
  `void`
  `setTargetPath(String targetPath)`
  `void`
  `setVolumeCapability(org.apache.hadoop.yarn.api.protocolrecords.ValidateVolumeCapabilitiesRequest.VolumeCapability capability)`
  `void`
  `setVolumeId(String volumeId)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.hadoop.yarn.api.protocolrecords.NodePublishVolumeRequest

  `newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NodePublishVolumeRequestPBImpl

    public NodePublishVolumeRequestPBImpl()

  - ### NodePublishVolumeRequestPBImpl

    public NodePublishVolumeRequestPBImpl(org.apache.hadoop.yarn.proto.CsiAdaptorProtos.NodePublishVolumeRequest request)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.yarn.proto.CsiAdaptorProtos.NodePublishVolumeRequest getProto()

  - ### setVolumeId

    public void setVolumeId(String volumeId)
    Specified by:
      `setVolumeId` in class `org.apache.hadoop.yarn.api.protocolrecords.NodePublishVolumeRequest`

  - ### getVolumeId

    public String getVolumeId()
    Specified by:
      `getVolumeId` in class `org.apache.hadoop.yarn.api.protocolrecords.NodePublishVolumeRequest`

  - ### setReadonly

    public void setReadonly(boolean readonly)
    Specified by:
      `setReadonly` in class `org.apache.hadoop.yarn.api.protocolrecords.NodePublishVolumeRequest`

  - ### getReadOnly

    public boolean getReadOnly()
    Specified by:
      `getReadOnly` in class `org.apache.hadoop.yarn.api.protocolrecords.NodePublishVolumeRequest`

  - ### setSecrets

    public void setSecrets(Map<String,String> secrets)
    Specified by:
      `setSecrets` in class `org.apache.hadoop.yarn.api.protocolrecords.NodePublishVolumeRequest`

  - ### getSecrets

    public Map<String,String> getSecrets()
    Specified by:
      `getSecrets` in class `org.apache.hadoop.yarn.api.protocolrecords.NodePublishVolumeRequest`

  - ### getTargetPath

    public String getTargetPath()
    Specified by:
      `getTargetPath` in class `org.apache.hadoop.yarn.api.protocolrecords.NodePublishVolumeRequest`

  - ### setStagingPath

    public void setStagingPath(String stagingPath)
    Specified by:
      `setStagingPath` in class `org.apache.hadoop.yarn.api.protocolrecords.NodePublishVolumeRequest`

  - ### getStagingPath

    public String getStagingPath()
    Specified by:
      `getStagingPath` in class `org.apache.hadoop.yarn.api.protocolrecords.NodePublishVolumeRequest`

  - ### setPublishContext

    public void setPublishContext(Map<String,String> publishContext)
    Specified by:
      `setPublishContext` in class `org.apache.hadoop.yarn.api.protocolrecords.NodePublishVolumeRequest`

  - ### getPublishContext

    public Map<String,String> getPublishContext()
    Specified by:
      `getPublishContext` in class `org.apache.hadoop.yarn.api.protocolrecords.NodePublishVolumeRequest`

  - ### setTargetPath

    public void setTargetPath(String targetPath)
    Specified by:
      `setTargetPath` in class `org.apache.hadoop.yarn.api.protocolrecords.NodePublishVolumeRequest`

  - ### setVolumeCapability

    public void setVolumeCapability(org.apache.hadoop.yarn.api.protocolrecords.ValidateVolumeCapabilitiesRequest.VolumeCapability capability)
    Specified by:
      `setVolumeCapability` in class `org.apache.hadoop.yarn.api.protocolrecords.NodePublishVolumeRequest`

  - ### getVolumeCapability

    public org.apache.hadoop.yarn.api.protocolrecords.ValidateVolumeCapabilitiesRequest.VolumeCapability getVolumeCapability()
    Specified by:
      `getVolumeCapability` in class `org.apache.hadoop.yarn.api.protocolrecords.NodePublishVolumeRequest`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `org.apache.hadoop.yarn.api.protocolrecords.NodePublishVolumeRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`